Bug 1234329 - get_nodes_stats() refactoring incomplete
Summary: get_nodes_stats() refactoring incomplete
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tuskar-ui
Version: Director
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ga
: Director
Assignee: Ana Krivokapic
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-22 11:41 UTC by Brad P. Crochet
Modified: 2015-08-05 13:55 UTC (History)
5 users (show)

Fixed In Version: openstack-tuskar-ui-0.3.0-4.el7ost
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-05 13:55:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:1549 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform director Release 2015-08-05 17:49:10 UTC

Description Brad P. Crochet 2015-06-22 11:41:52 UTC
get_nodes_stats() was previously refactored, but was incomplete.

Comment 6 Omri Hochman 2015-07-09 17:03:46 UTC
Verified - openstack-tuskar-ui-0.3.0-8.el7ost.noarch

When browsing the role page GUI is not crashing 

(12:55:32 PM) akrivoka: ohochman: the roles page used to crash before that fix
(12:56:00 PM) ohochman: so browse the UI roles page ? 
(12:56:04 PM) akrivoka: role detail, iirc
(12:56:14 PM) akrivoka: ohochman: yeah, open any role detail page
(12:59:05 PM) ohochman: akrivoka: it didn't crash : http://rhos-compute-node-18.osqe.lab.eng.bos.redhat.com/dashboard/infrastructure/roles/bbfe81d9-cd3d-4d5d-bfdb-dbb4225bbc92/

Comment 8 errata-xmlrpc 2015-08-05 13:55:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2015:1549


Note You need to log in before you can comment on or make changes to this bug.